Mailinglist Archive: opensuse-buildservice (306 mails)

< Previous Next >
Re: [opensuse-buildservice] When using the latest version of openSUSE Build Server in the Unstable Tools Repository, a 500 Internal Server Error comes up.
  • From: Robert Xu <robxu9@xxxxxxxxx>
  • Date: Wed, 13 Jan 2010 17:01:58 -0500
  • Message-id: <4B4E42D6.4080506@xxxxxxxxx>


On 1/12/2010 6:32 PM, Robert Xu wrote:
Hi,
I installed it from scratch (originally I upgraded, but then I decided to reinstall everything from scratch to see if it was just me). Rails_mode in /etc/lighttpd/vhosts.d/obs.conf is set to production, while the api is in production_slave. I did try to change the api rails_mode to production, but it made no difference.

On 1/12/2010 2:44 AM, Carsten Hoeger wrote:
On Mon, Jan 11, Robert Xu wrote:

When I try to use openSUSE Build Server that you have posted on
openSUSE:Tools:Unstable with a 11.2 x86_64, something goes wrong
that causes a 500 Internal Server Error. I previously mentioned this
on the forums (http://forums.opensuse.org/opensuse-build-service-obs/430248-upgrade-latest-obs-my-local-server-breaks.html)
and IRC, but the forums did not have many users and nobody responded
on IRC. I think I traced it back to FastCGI, but now I am stuck.
I've followed all the directions on
/usr/share/doc/packages/obs-api/{README.SETUP,README.UPDATERS} and
yet I'm still not getting anywhere? Can anyone reproduce and/or
solve this problem?!
Did you upgrade to 1.7 or did you install from scratch?
How did you set rails_mode in /etc/lighttpd/vhosts.d/obs.conf ?
Should be set to production now with 1.7.


Hmm.. I found out: It seems that OBS 1.7 WILL NOT detect the socket automatically in /var/run/mysql/mysql.sock ; you need to add it there yourself. *sigh*

--
Robert Xu
Ever tried Linux? :)

--
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-buildservice+help@xxxxxxxxxxxx

< Previous Next >